+++
title = "helm search"
weight = "37"

tags = ["commands"]
section = "helm-commands"
categories = ["helm-commands"]
type = "page"

slug = "helm-search"

[menu.main]
  url = "helm-search"
  parent = "helm-commands"

+++

## helm search

search for a keyword in charts

### Synopsis



Search reads through all of the repositories configured on the system, and
looks for matches.

Repositories are managed with 'helm repo' commands.


```
helm search [keyword]
```

### Options

```
  -r, --regexp           use regular expressions for searching
  -v, --version string   search using semantic versioning constraints
  -l, --versions         show the long listing, with each version of each chart on its own line
```

### Options inherited from parent commands

```
      --debug                     enable verbose output
      --home string               location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string               address of tiller. Overrides $HELM_HOST
      --kube-context string       name of the kubeconfig context to use
      --tiller-namespace string   namespace of tiller (default "kube-system")
```

### SEE ALSO
* [helm](#helm)	 - The Helm package manager for Kubernetes.